Skip to main content
GET
/
v2
/
deposit-destinations
List deposit destinations
curl --request GET \
  --url https://api.cdp.coinbase.com/platform/v2/deposit-destinations \
  --header 'Authorization: Bearer <token>'
{
  "depositDestinations": [
    {
      "depositDestinationId": "depositDestination_af2937b0-9846-4fe7-bfe9-ccc22d935114",
      "accountId": "account_af2937b0-9846-4fe7-bfe9-ccc22d935114",
      "type": "crypto",
      "network": "base",
      "address": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e",
      "crypto": {
        "network": "base",
        "address": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e"
      },
      "target": {
        "accountId": "account_af2937b0-9846-4fe7-bfe9-ccc22d935114",
        "asset": "usd"
      },
      "status": "active",
      "metadata": {
        "customer_id": "123e4567-e89b-12d3-a456-426614174000",
        "reference": "order-12345"
      },
      "createdAt": "2023-10-08T14:30:00Z",
      "updatedAt": "2023-10-08T14:30:00Z"
    },
    {
      "depositDestinationId": "depositDestination_cf4958d2-b068-6bf9-da01-eee44f157336",
      "accountId": "account_af2937b0-9846-4fe7-bfe9-ccc22d935114",
      "type": "fiat",
      "status": "active",
      "fiat": {
        "accountType": "us_bank",
        "currency": "usd",
        "bankName": "Citibank, N.A.",
        "beneficiaryName": "John Smith",
        "routingNumber": "987654321",
        "accountNumber": "123456789",
        "bankAddress": "399 Park Avenue, New York, NY 10022",
        "supportedRails": [
          "fedwire"
        ]
      },
      "target": {
        "accountId": "account_af2937b0-9846-4fe7-bfe9-ccc22d935114",
        "asset": "usdc"
      },
      "metadata": {
        "customer_id": "123e4567-e89b-12d3-a456-426614174000"
      },
      "createdAt": "2025-06-01T00:00:00Z",
      "updatedAt": "2025-06-01T00:00:00Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.cloud.coinbase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

A JWT signed using your CDP API Key Secret, encoded in base64. Refer to the Generate Bearer Token section of our Authentication docs for information on how to generate your Bearer Token.

Query Parameters

accountId
string

Filter deposit destinations by account ID. The ID of the Account, which is a UUID prefixed by the string account_.

Pattern: ^account_[a-f0-9\-]{36}$
Example:

"account_af2937b0-9846-4fe7-bfe9-ccc22d935114"

address
string

Filter deposit destinations by the cryptocurrency address. The cryptocurrency address to filter by. Format depends on the network (e.g., 0x-prefixed for EVM networks, base58 for Solana).

type
enum<string>

Filter deposit destinations by type. The type of deposit destination.

Available options:
crypto,
fiat
Example:

"crypto"

network
string

Filter deposit destinations by network. The blockchain network to filter by (e.g., base, ethereum, stellar). Only applies to crypto deposit destinations.

pageSize
integer
default:20

The number of resources to return per page.

pageToken
string

The token for the next page of resources, if any.

Response

Successfully listed deposit destinations.

depositDestinations
object[]
required

The list of deposit destinations.

A deposit destination for receiving funds to an account. Can be either a cryptocurrency address or fiat bank account instructions.

Example:
{
"depositDestinationId": "depositDestination_af2937b0-9846-4fe7-bfe9-ccc22d935114",
"accountId": "account_af2937b0-9846-4fe7-bfe9-ccc22d935114",
"type": "crypto",
"network": "base",
"address": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e",
"crypto": {
"network": "base",
"address": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e"
},
"target": {
"accountId": "account_bf3847c1-a957-5ae8-cfa0-ddd33e046225",
"asset": "usd"
},
"status": "active",
"metadata": {
"customer_id": "123e4567-e89b-12d3-a456-426614174000",
"reference": "order-12345"
},
"createdAt": "2023-10-08T14:30:00Z",
"updatedAt": "2023-10-08T14:30:00Z"
}
nextPageToken
string

The token for the next page of items, if any.

Example:

"eyJsYXN0X2lkIjogImFiYzEyMyIsICJ0aW1lc3RhbXAiOiAxNzA3ODIzNzAxfQ=="